Bug 1048629 - (CVE-2013-6457) CVE-2013-6457 libvirt: avoid crashing if calling 'virsh numatune' on an inactive domain (libxl)
CVE-2013-6457 libvirt: avoid crashing if calling 'virsh numatune' on an inact...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131220,repor...
: Security
Depends On:
Blocks: 1048642
  Show dependency treegraph
 
Reported: 2014-01-05 18:54 EST by Murray McAllister
Modified: 2015-08-19 04:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:35:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-01-05 18:54:53 EST
An invalid free flaw in the libxl driver in libvirt resulted in libvirt crashing if "virsh numatune" was run on an inactive domain. It may be possible, but unlikely, for an attacker to leverage this flaw for arbitrary code execution.

This issue affects the version of libvirt in Fedora 20. It does not affect the versions of libvirt in Red Hat Enterprise Linux 5 and 6 as those versions do not use libxl.
Comment 2 Eric Blake 2014-01-07 07:55:21 EST
Embargo is not required; this bug is already public:
https://www.redhat.com/archives/libvir-list/2013-December/msg01258.html

Note You need to log in before you can comment on or make changes to this bug.